/*
 *  This file is part of Goat Attack.
 *
 *  Goat Attack is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Goat Attack is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Goat Attack.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _AABB_HPP_
#define _AABB_HPP_

struct CollisionBox {
    CollisionBox() : x(0), y(0), width(0), height(0) { }

    CollisionBox(int x, int y, int width, int height)
        : x(x), y(y), width(width), height(height) { }

    int x;
    int y;
    int width;
    int height;

    bool intersects(const CollisionBox& colbox) {
        if (x + width < colbox.x ||
            y + height < colbox.y ||
            x > colbox.x + colbox.width ||
            y > colbox.y + colbox.height)
        {
            return false;
        }

        return true;
    }
};

class AABB {
public:
    AABB();

    const CollisionBox& get_colbox() const;

protected:
    CollisionBox colbox;
};

#endif
