/*
 *  This file is part of Goat Attack.
 *
 *  Goat Attack is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Goat Attack is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Goat Attack.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _I18NTEXTS_HPP_
#define _I18NTEXTS_HPP_

enum I18NText {
    I18N_NONE = 0,

    //
    I18N_BUTTON_YES,
    I18N_BUTTON_NO,
    I18N_BUTTON_OK,
    I18N_BUTTON_CANCEL,
    I18N_BUTTON_CLOSE,
    I18N_BUTTON_START_SERVER,
    I18N_BUTTON_DELETE,

    //
    I18N_TILETYPE01,
    I18N_TILETYPE02,
    I18N_TILETYPE03,
    I18N_TILETYPE04,
    I18N_TILETYPE05,
    I18N_TILETYPE06,
    I18N_TILETYPE07,
    I18N_TILETYPE08,
    I18N_TILETYPE09,
    I18N_TILETYPE10,

    //
    I18N_WINTITLE_GAME,
    I18N_WINTITLE_EDITOR,

    //
    I18N_SUBSYSTEM,
    I18N_MODE_IS_NORMAL,
    I18N_MODE_IS_DEDICATED,

    //
    I18N_MAINMENU_PLAY,
    I18N_MAINMENU_LAN,
    I18N_MAINMENU_PACKAGES,
    I18N_MAINMENU_OPTIONS,
    I18N_MAINMENU_CREDITS,
    I18N_MAINMENU_QUIT,
    I18N_MAINMENU_VERSION,
    I18N_MAINMENU_INTERNET,
    I18N_MAINMENU_INTERNET_SERVERS,
    I18N_MAINMENU_SERVER_NAME,
    I18N_MAINMENU_CONNECT,
    I18N_MAINMENU_REFRESH,
    I18N_MAINMENU_PLAYERS,
    I18N_MAINMENU_PING,
    I18N_MAINMENU_LAN_TITLE,
    I18N_MAINMENU_LAN_SERVERS,
    I18N_MAINMENU_CUSTOM_SERVER,
    I18N_MAINMENU_ENTER_HOSTNAME,
    I18N_MAINMENU_ADDRESS,
    I18N_MAINMENU_PORT,
    I18N_MAINMENU_PUBLIC_SERVER,
    I18N_MAINMENU_PASSWORD,
    I18N_MAINMENU_ENTER_PASSWORD,
    I18N_MAINMENU_SERVER_NAME2,
    I18N_MAINMENU_GAME_MODE,
    I18N_MAINMENU_GM_DM,
    I18N_MAINMENU_GM_TDM,
    I18N_MAINMENU_GM_CTF,
    I18N_MAINMENU_GM_SR,
    I18N_MAINMENU_GM_CTC,
    I18N_MAINMENU_GM_GOH,
    I18N_MAINMENU_MAX_PLAYERS,
    I18N_MAINMENU_WARMUP,
    I18N_MAINMENU_DURATION,
    I18N_MAINMENU_IN_SECONDS,
    I18N_MAINMENU_IN_MINUTES,
    I18N_MAINMENU_SELECT_MAP,
    I18N_MAINMENU_INVALID_SERVERNAME,
    I18N_MAINMENU_MAX_PLAYERS_TITLE,
    I18N_MAINMENU_INVALID_GENERIC_NUMBER,
    I18N_MAINMENU_DURATION2,
    I18N_MAINMENU_WARMUP2,
    I18N_MAINMENU_SELECT_MAP2,
    I18N_MAINMENU_SELECT_MAP3,
    I18N_MAINMENU_PACKAGE,
    I18N_MAINMENU_HASH,
    I18N_MAINMENU_CREDITS_CODE,
    I18N_MAINMENU_CREDITS_GFX,
    I18N_MAINMENU_CREDITS_MAPS,
    I18N_MAINMENU_CREDITS_MUSIC,
    I18N_MAINMENU_CREDITS_THANKS,
    I18N_MAINMENU_FREDERIC,

    //
    I18N_OPTIONS_PLAYER,
    I18N_OPTIONS_GRAPHICS_AND_SOUND,
    I18N_OPTIONS_CONTROLLER,
    I18N_OPTIONS_SPECTATE,
    I18N_OPTIONS_SKIP_SONG,
    I18N_OPTIONS_RETURN,
    I18N_OPTIONS_SETTINGS11,
    I18N_OPTIONS_SETTINGS12,
    I18N_OPTIONS_SETTINGS13,
    I18N_OPTIONS_SETTINGS21,
    I18N_OPTIONS_SETTINGS22,
    I18N_OPTIONS_SETTINGS23,
    I18N_OPTIONS_SETTINGS24,
    I18N_OPTIONS_SETTINGS25,
    I18N_OPTIONS_SETTINGS26,
    I18N_OPTIONS_SETTINGS31,
    I18N_OPTIONS_SETTINGS32,
    I18N_OPTIONS_SETTINGS33,
    I18N_OPTIONS_SETTINGS34,
    I18N_OPTIONS_SETTINGS35,
    I18N_OPTIONS_SETTINGS36,
    I18N_OPTIONS_SETTINGS37,
    I18N_OPTIONS_SETTINGS38,
    I18N_OPTIONS_SETTINGS39,
    I18N_OPTIONS_SETTINGS40,
    I18N_OPTIONS_SETTINGS41,
    I18N_OPTIONS_SETTINGS42,
    I18N_OPTIONS_SETTINGS43,
    I18N_OPTIONS_SETTINGS44,
    I18N_OPTIONS_SETTINGS45,
    I18N_OPTIONS_SETTINGS46,
    I18N_OPTIONS_SETTINGS47,
    I18N_OPTIONS_SETTINGS48,
    I18N_OPTIONS_SETTINGS49,
    I18N_OPTIONS_SETTINGS50,
    I18N_OPTIONS_SETTINGS51,

    //
    I18N_CLIENT_TRANSFER,
    I18N_CLIENT_ENTER_MSG,
    I18N_CLIENT_CONNECTING_TO1,
    I18N_CLIENT_CONNECTING_TO2,
    I18N_CLIENT_CONNECTING_TO3,
    I18N_CLIENT_LOGGED_IN,
    I18N_CLIENT_LOGGED_OUT,
    I18N_CLIENT_PING_TIMEOUT,
    I18N_CLIENT_TOO_MANY_RESENDS,
    I18N_CLIENT_APPLICATION_LAYER,
    I18N_CLIENT_SERVER_MESSAGE,
    I18N_CLIENT_MAP_INFO,
    I18N_CLIENT_JOIN_REFUSED,
    I18N_CLIENT_FRIENDLY_FIRE,
    I18N_CLIENT_UNBALANCED,
    I18N_CLIENT_WARMUP,
    I18N_CLIENT_GAME_BEGINS,
    I18N_CLIENT_GAME_OVER,
    I18N_CLIENT_RENAME,
    I18N_CLIENT_SKIN_CHANGE,

    //
    I18N_TNMT_NEW_MAP_LOADED,
    I18N_TNMT_SPECTATING,
    I18N_TNMT_WARMUP,
    I18N_TNMT_LOBBY_TITLE,
    I18N_TNMT_LOBBY_SERVER,
    I18N_TNMT_LOBBY_PLAYERS,
    I18N_TNMT_LOBBY_START,
    I18N_TNMT_LOBBY_SELECT_START,
    I18N_TNMT_LOBBY_SELECT_WAIT,
    I18N_TNMT_SB_CTC_TITLE,
    I18N_TNMT_SB_PLAYER,
    I18N_TNMT_SB_TOTAL,
    I18N_TNMT_SB_PING,
    I18N_TNMT_SB_SPECTATORS,
    I18N_TNMT_SB_DM_TITLE,
    I18N_TNMT_SB_FRAGS,
    I18N_TNMT_SB_KILLS,
    I18N_TNMT_SB_SCORE,
    I18N_TNMT_SB_SR_TITLE,
    I18N_TNMT_SB_LAPS,
    I18N_TNMT_SB_BEST,
    I18N_TNMT_SB_LAST,
    I18N_TNMT_SR_LEAD,
    I18N_TNMT_SR_LAP,
    I18N_TNMT_SR_BEST,
    I18N_TNMT_SR_LAST,
    I18N_TNMT_SR_NA,
    I18N_TNMT_PLAYER_JOINS,
    I18N_TNMT_PLAYER_FELL_OFF,
    I18N_TNMT_PLAYER_SUICIDE,
    I18N_TNMT_COIN_RETURNED,
    I18N_TNMT_COIN_CATCHED,
    I18N_TNMT_COIN_DROPPED,
    I18N_TNMT_RED_FLAG_RETURNED,
    I18N_TNMT_BLUE_FLAG_RETURNED,
    I18N_TNMT_RED_FLAG_CATCHED,
    I18N_TNMT_BLUE_FLAG_CATCHED,
    I18N_TNMT_RED_FLAG_SAVED,
    I18N_TNMT_BLUE_FLAG_SAVED,
    I18N_TNMT_RED_FLAG_DROPPED,
    I18N_TNMT_BLUE_FLAG_DROPPED,
    I18N_TNMT_TEAM_RED_SCORED1,
    I18N_TNMT_TEAM_BLUE_SCORED1,
    I18N_TNMT_TEAM_RED_SCORED2,
    I18N_TNMT_TEAM_BLUE_SCORED2,
    I18N_TNMT_SR_RECORD,
    I18N_TNMT_SR_COMPLETE,
    I18N_TNMT_KILLED1,
    I18N_TNMT_KILLED2,
    I18N_TNMT_FROGGED1,
    I18N_TNMT_FROGGED2,

    I18N_TNMT_STATS_TEAM,
    I18N_TNMT_STATS_PLAYER,
    I18N_TNMT_STATS_OVER,
    I18N_TNMT_STATS_END,
    I18N_TNMT_STATS_MAP_CLOSED,

    I18N_TNMT_SELECT_TEAM1,
    I18N_TNMT_SELECT_TEAM2,
    I18N_TNMT_JOIN_RED_TEAM,
    I18N_TNMT_JOIN_BLUE_TEAM,

    //
    I18N_TNMT_TEAM_RED_CAP,
    I18N_TNMT_TEAM_BLUE_CAP,

    //
    I18N_SERVE_LOBBY,
    I18N_SERVE_LOBBY_READY,
    I18N_SERVE_WARM_UP,
    I18N_SERVE_GAME_BEGINS,
    I18N_SERVE_CONNECT,
    I18N_SERVE_RECONNECT,
    I18N_SERVE_SPECTATING,
    I18N_SERVE_UNKNOWN_COMMAND,
    I18N_SERVE_WRONG_PASSWORD,
    I18N_SERVE_ALREADY_ADMIN,
    I18N_SERVE_NEW_ADMIN,
    I18N_SERVE_ADMIN_LEFT,
    I18N_SERVE_KICK_YOURSELF,
    I18N_SERVE_PLAYER_NOT_FOUND,
    I18N_SERVE_NOT_AUTHORIZED,
    I18N_SERVE_KICK,
    I18N_SERVE_NOT_IMPLEMENTED,
    I18N_SERVE_NEXT_MAP,
    I18N_SERVE_MAP_USAGE,
    I18N_SERVE_MAP_LOADED,
    I18N_SERVE_CONFIG_RELOADED,
    I18N_SERVE_CONFIG_SAVED,
    I18N_SERVE_GET_USAGE,
    I18N_SERVE_SET_USAGE,
    I18N_SERVE_SET_VAR_TO,
    I18N_SERVE_RESET_USAGE,
    I18N_SERVE_VAR_CLEARED,
    I18N_SERVE_PARM_MISSING,
    I18N_SERVE_NO_PARM_NEEDED,
    I18N_SERVE_ILLEGAL_PARM,

    //
    I18N_TNMT_LOGOUT_MSG01,
    I18N_TNMT_LOGOUT_MSG02,
    I18N_TNMT_LOGOUT_MSG03,
    I18N_TNMT_LOGOUT_MSG04,
    I18N_TNMT_LOGOUT_MSG05,
    I18N_TNMT_LOGOUT_MSG06,
    I18N_TNMT_LOGOUT_MSG07,
    I18N_TNMT_LOGOUT_MSG08,
    I18N_TNMT_LOGOUT_MSG09,
    I18N_TNMT_LOGOUT_MSG10,
    I18N_TNMT_LOGOUT_MSG11,
    I18N_TNMT_LOGOUT_MSG12,

    //
    I18N_VERSION_MISMATCH_TITLE,
    I18N_VERSION_MISMATCH_MESSAGE,
    I18N_SERVER_TITLE,
    I18N_SELECT_SERVER,
    I18N_ERROR_TITLE,
    I18N_PORT_TITLE,
    I18N_SERVER_UNKNOWN,
    I18N_INVALID_PORT,
    I18N_WRONG_MAPTYPE,
    I18N_WRONG_MAPTYPE2,
    I18N_SERVER_FULL,
    I18N_WRONG_PASSWORD,
    I18N_XFER_OPEN_FAILED,
    I18N_XFER_ALREADY_OPEN,
    I18N_THREAD_FAILED,
    I18N_HEAP_CHANGE_ERROR,
    I18N_SERVER_TOO_OLD,
    I18N_ANIMATION_FAILED,
    I18N_MISSING_SPAWN_POINTS,
    I18N_MULTIPLE_COINS,
    I18N_COIN_MISSING,
    I18N_MULTIPLE_RED_FLAGS,
    I18N_MULTIPLE_BLUE_FLAGS,
    I18N_RED_FLAG_MISSING,
    I18N_BLUE_FLAG_MISSING,
    I18N_WHY_MORE_SPAWN_POINTS,
    I18N_RED_SPAWNPOINTS_MISSING,
    I18N_BLUE_SPAWNPOINTS_MISSING,
    I18N_DIFFERENT_HASH,
    I18N_NO_MAPS_DEFINED,
    I18N_NO_DEDICATED_SERVER,
    I18N_MUSIC_INFO,
    I18N_MUSIC_TOO_FAST,
    I18N_NO_MUSIC_FOUND,
    I18N_ENTER_VALID_VALUE,
    I18N_NO_PARENT,
    I18N_NO_FONT,

    I18N_RES_OBJECT_FOUND_WARNING,
    I18N_RES_INIT_RESOURCES,
    I18N_RES_UNINIT_RESOURCES,
    I18N_RES_TILESET_NOT_FOUND,
    I18N_RES_OBJECT_NOT_FOUND,
    I18N_RES_CHARACTERSET_NOT_FOUND,
    I18N_RES_NPC_NOT_FOUND,
    I18N_RES_ANIMATION_NOT_FOUND,
    I18N_RES_MAP_NOT_FOUND,
    I18N_RES_BACKGROUND_NOT_FOUND,
    I18N_RES_FONT_NOT_FOUND,
    I18N_RES_ICON_NOT_FOUND,
    I18N_RES_SOUND_NOT_FOUND,
    I18N_RES_MUSIC_NOT_FOUND,
    I18N_RES_GAME_SETTING_NOT_FOUND,
    I18N_RES_SHADER_NOT_FOUND,
    I18N_RES_LOOKING_INTO,
    I18N_RES_SCANNING,
    I18N_RES_PAK_MISSING,

    I18N_SSSDL_START,
    I18N_SSSDL_INIT,
    I18N_SSSDL_SIZE_QUERY,
    I18N_SSSDL_WINDOW,
    I18N_SSSDL_WINDOW_FAILED,
    I18N_SSSDL_OPENGL,
    I18N_SSSDL_MIXER_FAILED,
    I18N_SSSDL_AUDIO_FAILED,
    I18N_SSSDL_UNINIT,
    I18N_SSSDL_SHADING_PIPELINE,
    I18N_SSSDL_FULLSCREEN,
    I18N_SSSDL_OPENGL_INIT,

    //
    I18N_SSNULL_START,
    I18N_SSNULL_UNINIT,

    //
    I18N_ME_RADIUS,
    I18N_ME_RED,
    I18N_ME_GREEN,
    I18N_ME_BLUE,
    I18N_ME_NAME,
    I18N_ME_FROG_SPAWN,
    I18N_ME_AUTHOR,
    I18N_ME_DESCRIPTION,
    I18N_ME_WIDTH,
    I18N_ME_WIDTH_EVEN,
    I18N_ME_HEIGHT,
    I18N_ME_PARALLAX_SHIFT,
    I18N_ME_TILESET,
    I18N_ME_TILESET_SELECT,
    I18N_ME_BACKGROUND,
    I18N_ME_BACKGROUND_SELECT,
    I18N_ME_UNSAVED_MAP,
    I18N_ME_REALLY_CONTINUE,
    I18N_ME_TOOL,
    I18N_ME_MODE_SELECTOR,
    I18N_ME_CENTER_MAP,
    I18N_ME_MAP_PROPERTIES,
    I18N_ME_LOAD_MAP,
    I18N_ME_SAVE_MAP,
    I18N_ME_TILE_SELECTOR,
    I18N_ME_OBJECT_SELECTOR,
    I18N_ME_HORZ_COPY,
    I18N_ME_QUICK_LIGHTMAP,
    I18N_ME_PIXEL_LIGHTMAP,
    I18N_ME_MAP_PACKAGE,
    I18N_ME_ZAP,
    I18N_ME_OPTIONS,
    I18N_ME_QUIT,
    I18N_ME_COMPILING,
    I18N_ME_MODIFIED,
    I18N_ME_COMPILING2,
    I18N_ME_LIGHT_SRC,
    I18N_ME_NO_LIGHT_SRC,
    I18N_ME_MAP_NAME,
    I18N_ME_NO_MAP_NAME,
    I18N_ME_NO_TILESET1,
    I18N_ME_NO_TILESET2,
    I18N_ME_LIGHT_MAP,
    I18N_ME_SAVING_FAILED,
    I18N_ME_MODE_TILE,
    I18N_ME_MODE_OBJECT,
    I18N_ME_MODE_LIGHT,
    I18N_ME_MODE_EDIT_LIGHT,
    I18N_ME_MIRRORING,
    I18N_ME_DECORATION,
    I18N_ME_NO_DEC,
    I18N_ME_NO_LGTMP,
    I18N_ME_NO_MP,
    I18N_ME_NO_OBJ,
    I18N_ME_NO_LGT,
    I18N_ME_LOAD_MAP_TITLE,
    I18N_ME_ERROR_TITLE,
    I18N_ME_NO_SELECTION,
    I18N_ME_SELECT_MAP,
    I18N_ME_LIGHT_PROPERTIES,
    I18N_ME_LP_RADIUS,
    I18N_ME_LP_RED,
    I18N_ME_LP_GREEN,
    I18N_ME_LP_BLUE,
    I18N_ME_MP_TITLE,
    I18N_ME_MP_NAME,
    I18N_ME_MP_FROG_SPAWN,
    I18N_ME_MP_AUTHOR,
    I18N_ME_MP_DESCRIPTION,
    I18N_ME_MP_WIDTH,
    I18N_ME_MP_HEIGHT,
    I18N_ME_MP_DECO_BRIGHTNESS,
    I18N_ME_MP_LIGHTMAP_ALPHA,
    I18N_ME_MP_PARALLAX,
    I18N_ME_MP_TYPE,
    I18N_ME_MP_TILESET,
    I18N_ME_MP_BACKGROUND,
    I18N_ME_SAVE_NO_MAP_NAME,
    I18N_ME_SAVE_CHOOSE_NAME,
    I18N_ME_SELECT_TILE,
    I18N_ME_ST_PROPERTIES,
    I18N_ME_ST_NO_TILE1,
    I18N_ME_ST_NO_TILE2,
    I18N_ME_TP_TITLE,
    I18N_ME_TP_BACKGROUND,
    I18N_ME_TP_BLOCKS_LIGHT,
    I18N_ME_TP_TILE_TYPE,
    I18N_ME_TP_ANIMATION_SPEED,
    I18N_ME_TP_FRICTION,
    I18N_ME_SO_TITLE,
    I18N_ME_HC_MAP_INVALID1,
    I18N_ME_HC_MAP_INVALID2,
    I18N_ME_HC_MAP_INVALID3,
    I18N_ME_HC_TITLE,
    I18N_ME_HC_QUESTION,
    I18N_ME_PAK_NO_MAP,
    I18N_ME_PAK_CONFIGURE,
    I18N_ME_PAK_SAVE_FIRST,
    I18N_ME_PAK_OVERWRITE1,
    I18N_ME_PAK_OVERWRITE2,
    I18N_ME_PAK_DONE1,
    I18N_ME_PAK_DONE2,
    I18N_ME_OPTIONS1,

    I18N_FREETYPE_FAILED,
    I18N_LANGUAGE,
    I18N_PAK_NAME_TOO_LONG,
    I18N_SHOW_LAGOMETER,
    I18N_SERVE_NO_COMMAND,
    I18N_SERVE_LIST_USAGE,
    I18N_CLIENT_LOGGED_OUT_RPL,
    I18N_CLIENT_PING_TIMEOUT_RPL,
    I18N_CLIENT_TOO_MANY_RESENDS_RPL,
    I18N_CLIENT_APPLICATION_LAYER_RPL,
    I18N_MAINMENU_CREATE_SERVER1,
    I18N_MAINMENU_CREATE_SERVER2,
    I18N_MAINMENU_RECONNECT_KILLS1,
    I18N_MAINMENU_RECONNECT_KILLS2,
    I18N_MAINMENU_HOLD_DISCONNECTED_PLAYERS,
    I18N_MAINMENU_FRIENDLY_FIRE,
    I18N_MAINMENU_SHOOT_EXPLOSIVES,
    I18N_MAINMENU_PREVENT_PICK,
    I18N_RES_FLAG_NOT_FOUND,
    I18N_ME_SELECT,
    I18N_MAINMENU_REFUSE_JOIN_IN_GAME,
    I18N_MAINMENU_PROTOCOL,
    I18N_MAINMENU_COMPATIBLE_SERVERS,

    //
    _I18N_FINISHED_
};

#endif
